Package com.openmeet.shared.data.ban

# Class Ban

java.lang.Object
com.openmeet.shared.data.ban.Ban

All Implemented Interfaces:
  `IEntity`

public class Ban extends Object implements IEntity
This class represents the Ban Entity.

See Also:
  - `IEntity`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `BAN`
  `static final String`
  `BAN_DESCRIPTION`
  `static final String`
  `BAN_END_TIME`
  `static final String`
  `BAN_ID`
  `static final String`
  `BAN_MEETER_ID`
  `static final String`
  `BAN_MODERATOR_ID`
  `static final String`
  `BAN_START_TIME`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Ban()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDescription()`
  Returns the description of the Ban.
  `Timestamp`
  `getEndTime()`
  Returns the end time of the Ban.
  `int`
  `getId()`
  Returns the id of the Ban.
  `int`
  `getMeeterId()`
  Returns the id of the meeter banned.
  `int`
  `getModeratorId()`
  Returns the id of moderator who created the Ban.
  `Timestamp`
  `getStartTime()`
  Returns the start time of the Ban.
  `void`
  `setDescription(String description)`
  Sets the description of the Ban.
  `void`
  `setEndTime(Timestamp endTime)`
  Sets the end time of the Ban.
  `void`
  `setId(int id)`
  Sets the id of the Ban.
  `void`
  `setMeeterId(int meeterId)`
  Sets the id of the meeter banned.
  `void`
  `setModeratorId(int moderatorId)`
  Sets the id of moderator who created the Ban.
  `void`
  `setStartTime(Timestamp startTime)`
  Sets the start time of the Ban.
  `HashMap<String,?>`
  `toHashMap()`
  Returns the Ban as an hashMap.
  `HashMap<String,?>`
  `toHashMap(String... fields)`
  Returns the Ban as an hashMap.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### BAN

    public static final String BAN
    See Also:
      - Constant Field Values

  - ### BAN_ID

    public static final String BAN_ID
    See Also:
      - Constant Field Values

  - ### BAN_MODERATOR_ID

    public static final String BAN_MODERATOR_ID
    See Also:
      - Constant Field Values

  - ### BAN_DESCRIPTION

    public static final String BAN_DESCRIPTION
    See Also:
      - Constant Field Values

  - ### BAN_START_TIME

    public static final String BAN_START_TIME
    See Also:
      - Constant Field Values

  - ### BAN_END_TIME

    public static final String BAN_END_TIME
    See Also:
      - Constant Field Values

  - ### BAN_MEETER_ID

    public static final String BAN_MEETER_ID
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Ban

    public Ban()

- ## Method Details

  - ### toHashMap

    public HashMap<String,?> toHashMap()
    Returns the Ban as an hashMap.
    Specified by:
      `toHashMap` in interface `IEntity`
    Returns:
      the Ban as an hashMap.
    See Also:
      - `IEntity`

  - ### toHashMap

    public HashMap<String,?> toHashMap(String... fields)
    Returns the Ban as an hashMap.
    Specified by:
      `toHashMap` in interface `IEntity`
    Parameters:
      `fields` - the fields to be returned.
    Returns:
      the Ban as an hashMap.
    See Also:
      - `IEntity`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getId

    public int getId()
    Returns the id of the Ban.
    Returns:
      the id of the Ban.

  - ### setId

    public void setId(int id)
    Sets the id of the Ban.
    Parameters:
      `id` - the id of the Ban.

  - ### getModeratorId

    public int getModeratorId()
    Returns the id of moderator who created the Ban.
    Returns:
      the id of moderator who created the Ban.

  - ### setModeratorId

    public void setModeratorId(int moderatorId)
    Sets the id of moderator who created the Ban.
    Parameters:
      `moderatorId` - the id of moderator who created the Ban.

  - ### getDescription

    public String getDescription()
    Returns the description of the Ban.
    Returns:
      the description of the Ban.

  - ### setDescription

    public void setDescription(String description)
    Sets the description of the Ban.
    Parameters:
      `description` - the description of the Ban.

  - ### getStartTime

    public Timestamp getStartTime()
    Returns the start time of the Ban.
    Returns:
      the start time of the Ban.

  - ### setStartTime

    public void setStartTime(Timestamp startTime)
    Sets the start time of the Ban.
    Parameters:
      `startTime` - the start time of the Ban.

  - ### getEndTime

    public Timestamp getEndTime()
    Returns the end time of the Ban.
    Returns:
      the end time of the Ban.

  - ### setEndTime

    public void setEndTime(Timestamp endTime)
    Sets the end time of the Ban.
    Parameters:
      `endTime` - the end time of the Ban.

  - ### getMeeterId

    public int getMeeterId()
    Returns the id of the meeter banned.
    Returns:
      the id of the meeter banned.

  - ### setMeeterId

    public void setMeeterId(int meeterId)
    Sets the id of the meeter banned.
    Parameters:
      `meeterId` - the id of the meeter banned.